<section class="container-fluid animated fadeIn bg-blur">
  <div class="row">
    <div class="col-lg-12">
      <button type="button" class="btn-tab d-inline cursor-pointer" [class.active-tab] = "activeTab === 'video'" (click)="changeTab('video')">{{ title | translate }}</button>
      |
      <button type="button" class="btn-tab d-inline cursor-pointer" [class.active-tab] = "activeTab === 'seo'" (click)="changeTab('seo')">{{ 'video.seo.~' | translate }}</button>
      <hr>
    </div>
  </div>
  <div class="row wall">
    <div class="col-xl-12 col-lg-12 col-md-12 col-12">
      <form [formGroup]="form" (ngSubmit)="updateVideoInfo(form)" novalidate>
        <ng-container>
          <div formArrayName="video_urls" class="row my-4" [class.d-none] = "activeTab === 'seo'">
            <div class="col-lg-6" *ngFor="let employee of videoLinks().controls; let videoIndex=index">
              <div
                [formGroupName]="videoIndex"
                style="border: 1px solid rgb(82, 95, 127); padding: 10px; margin: 5px;"
              >
              <span class="text-white bg-tiber">{{'upload.create.video-link' | translate}} {{videoIndex + 1}}:</span>
              <div class="col-lg-12">
                <div class="row form-group">
                  <div class="col-lg-12">
                    <label class="form-label-inline" for="name">
                      {{ 'upload.create.quality' | translate }} :
                    </label>
                  </div>
                  <div class="col-lg-12">
                    <input id="quality" class="form-control" maxlength="255" type="text" name="quality" formControlName="quality">
                    <!-- <div class="feedback" *ngIf="form.controls['quality'].hasError('required') && formSubmited">{{
                      'feedback.required' | translate }}</div> -->
                  </div>
                </div>
              </div>
              <div class="col-lg-12">
                <div class="row form-group">
                  <div class="col-lg-12">
                    <label class="form-label-inline" for="name">
                      {{ 'upload.create.url' | translate }} :
                    </label>
                  </div>
                  <div class="col-lg-12">
                    <input id="url" class="form-control" maxlength="255" type="text" name="url" formControlName="url">
                  </div>
                </div>
              </div>
              <button type="button" class="btn-outline" (click)="removeVideoLink(videoIndex)">{{ "operation.delete" | translate }}</button>
                <div formArrayName="subtitles">
                  <div
                    *ngFor="let skill of videoSubtitle(videoIndex).controls; let sIndex=index"
                  >
                    <div [formGroupName]="sIndex">
                      <span class="text-white bg-ticer my-3">{{'upload.create.subtitle' | translate}} {{sIndex + 1}}:</span>
                      <div class="col-lg-12">
                        <div class="row form-group">
                          <div class="col-lg-12">
                            <label class="form-label-inline" for="name">
                              {{ 'upload.create.language' | translate }} :
                            </label>
                          </div>
                          <div class="col-lg-12">
                            <input id="language" class="form-control" maxlength="255" type="text" name="language" formControlName="language">
                          </div>
                        </div>
                      </div>
                      <div class="col-lg-12">
                        <div class="row form-group">
                          <div class="col-lg-12">
                            <label class="form-label-inline" for="name">
                              {{ 'upload.create.url' | translate }} :
                            </label>
                          </div>
                          <div class="col-lg-12">
                            <input class="form-control" maxlength="255" type="text" name="url" formControlName="url">
                          </div>
                        </div>
                      </div>
                      <button type="button" class="btn-outline my-3" (click)="removeVideoSkill(videoIndex,sIndex)">
                        {{"operation.delete" | translate}}
                      </button>
                    </div>
                  </div>
                </div>
                <button type="button" class="btn btn-outline" (click)="addVideoSubtitle(videoIndex)">
                  {{"upload.create.add-subtitle" | translate}}
                </button>
              </div>
            </div>
            <div class="col-lg-6">
              <button type="button" class="btn btn-outline" (click)="addVideo()">{{"upload.create.add-link" | translate}}</button>
            </div>
          </div>
          <div class="row" [class.d-none] = "activeTab === 'seo'">
            <!-- imdb -->
            <div class="col-lg-6">
              <div class="row form-group"
                [ngClass]="{'has-error':form.controls['imdb'].invalid && formSubmited}">
                <div class="col-lg-12">
                  <label class="form-label-inline" for="imdb">
                    {{ 'upload.create.imdb' | translate }} :
                  </label>
                </div>
                <div class="col-lg-12">
                  <input id="imdb" class="form-control" (keyup)="search.pass($event, 'imdb')" maxlength="255" type="text" name="imdb" required formControlName="imdb">
                  <div class="feedback" *ngIf="form.controls['imdb'].hasError('required') && formSubmited">{{ 'feedback.required' | translate }}</div>
                </div>
              </div>
            </div>
            <!-- name -->
            <div class="col-lg-6">
              <div class="row form-group"
                [ngClass]="{'has-error':form.controls['name'].invalid && formSubmited}">
                <div class="col-lg-12">
                  <label class="form-label-inline" for="name">
                    {{ 'upload.create.name' | translate }} :
                  </label>
                </div>
                <div class="col-lg-12">
                  <input id="name" class="form-control" maxlength="255" type="text" name="name"
                    formControlName="name">
                  <div class="feedback" *ngIf="form.controls['name'].hasError('required') && formSubmited">{{
                    'feedback.required' | translate }}</div>
                </div>
              </div>
            </div>
            <!-- key -->
            <div class="col-lg-6">
              <div class="row form-group" [ngClass]="{'has-error':form.controls['key'].invalid && formSubmited}">
                <div class="col-lg-12">
                  <label class="form-label-inline" for="key">
                    {{ 'key' | translate }} :
                  </label>
                </div>
                <div class="col-lg-12">
                  <tag-input inputid="new-key" [addOnTab]="false" (changed)="setKey($event)" [defaults]="keys" placeholder></tag-input>
                  <div class="feedback" *ngIf="form.controls['key'].hasError('required') && formSubmited">{{ 'feedback.required' | translate }}</div>
                </div>
              </div>
            </div>
            <!-- actors -->
            <div class="col-lg-6">
              <div class="row form-group">
                <div class="col-lg-12">
                  <label class="form-label-inline" for="actors">
                    {{ 'upload.create.actors' | translate }} :
                  </label>
                </div>
                <div class="col-lg-12">
                  <select-input inputid="new-actor" [defaults]='actor' [list]="actors" itemkey="name"
                    itemvalue="id" [multi]='true' [allowDuplicate]='false' [apiSearch]='true' (query)="searchActor($event)" (changed)="setActor($event)" placeholder></select-input>
                  <!-- <div class="feedback" *ngIf="form.controls['actors'].hasError('required') && formSubmited">{{
                    'feedback.required' | translate }}</div> -->
                </div>
              </div>
            </div>
            <!-- directors -->
            <div class="col-lg-6">
              <div class="row form-group">
                <div class="col-lg-12">
                  <label class="form-label-inline" for="director">
                    {{ 'upload.create.directors' | translate }} :
                  </label>
                </div>
                <div class="col-lg-12">
                  <select-input inputid="new-director" [list]="directors" itemkey="name" itemvalue="id" [defaults]='director'
                    [multi]='true' [allowDuplicate]='false' [apiSearch]='true' (query)="searchDirector($event)" (changed)="setDirector($event)" placeholder></select-input>
                </div>
              </div>
            </div>
            <!-- genres -->
            <div class="col-lg-6">
              <div class="row form-group" [ngClass]="{'has-error':form.controls['genres'].invalid && formSubmited}">
                <div class="col-lg-12">
                  <label class="form-label-inline" for="genres">
                    {{ 'upload.create.genres' | translate }} :
                  </label>
                </div>
                <div class="col-lg-12">
                  <select-input inputid="new-genres" [list]="genres" itemkey="name" itemvalue="id"
                    [defaults]='genre' [multi]='true' [allowDuplicate]='false' [apiSearch]='true' (query)="searchGenre($event)" (changed)="setGenre($event)" placeholder></select-input>
                  <div class="feedback" *ngIf="form.controls['genres'].hasError('required') && formSubmited">{{
                    'feedback.required' | translate }}</div>
                </div>
              </div>
            </div>
            <!-- age range -->
            <div class="col-lg-6">
              <div class="row form-group" [ngClass]="{'has-error':form.controls['age_range'].invalid && formSubmited}">
                <div class="col-lg-12">
                  <label class="form-label-inline" for="age_range">
                    {{ 'upload.create.age_range' | translate }} :
                  </label>
                </div>
                <div class="col-lg-12">
                  <select-input inputid="new-age" [list]="ages" itemkey="name" itemvalue="id"
                    [defaults]='selectedAge' [multi]='false' [allowDuplicate]='false' (query)="searchAge($event)" (changed)="setAge($event)" placeholder></select-input>
                </div>
              </div>
            </div>
            <!-- country -->
            <div class="col-lg-6">
              <div class="row form-group">
                <div class="col-lg-12">
                  <label class="form-label-inline" for="country">
                    {{ 'upload.create.country' | translate }} :
                  </label>
                </div>
                <div class="col-lg-12">
                  <tag-input inputid="new-country" [addOnTab]="false" (changed)="setCountry($event)" [defaults]="countries" placeholder></tag-input>
                </div>
              </div>
            </div>
            <!-- language -->
            <div class="col-lg-6">
              <div class="row form-group">
                <div class="col-lg-12">
                  <label class="form-label-inline" for="language">
                    {{ 'upload.create.language' | translate }} :
                  </label>
                </div>
                <div class="col-lg-12">
                    <tag-input inputid="new-language" [addOnTab]="false" (changed)="setLanguage($event)" [defaults]="languages" placeholder></tag-input>
                </div>
              </div>
            </div>
            <!-- tags -->
            <div class="col-lg-6">
              <div class="row form-group">
                <div class="col-lg-12">
                  <label class="form-label-inline" for="tags">
                    {{ 'upload.create.tags' | translate }} :
                  </label>
                </div>
                <div class="col-lg-12">
                  <select-input inputid="new-tags" [list]="tags" itemkey="name" itemvalue="id"
                    [defaults]='selectedTag' [multi]='true' [allowDuplicate]='false' (query)="searchTag($event)" (changed)="setTag($event)" placeholder></select-input>
                </div>
              </div>
            </div>
            <!-- category -->
            <div class="col-lg-6">
              <div class="row form-group" [ngClass]="{'has-error':form.controls['category'].invalid && formSubmited}">
                <div class="col-lg-12">
                  <label class="form-label-inline" for="category">
                    {{ 'upload.create.category' | translate }} :
                  </label>
                </div>
                <div class="col-lg-12">
                  <select-input inputid="new-category" [list]="categories" itemkey="name" itemvalue="id"
                    [defaults]='selectedCategory' [multi]='false' [allowDuplicate]='false' (query)="searchCategory($event)" (changed)="setCategory($event)" placeholder></select-input>
                  <div class="feedback" *ngIf="form.controls['category'].hasError('required') && formSubmited">{{ 'feedback.required' | translate }}</div>
                </div>
              </div>
            </div>
            <!-- data -->
            <div class="col-lg-6">
              <div class="row form-group">
                <div class="col-lg-12">
                  <label class="form-label-inline" for="data">
                    {{ 'upload.create.data' | translate }} :
                  </label>
                </div>
                <div class="col-lg-12">
                  <select-input inputid="new-data" [list]="data" itemkey="name" itemvalue="id"
                    [defaults]='selectedData' [multi]='false' [allowDuplicate]='false' (query)="searchData($event)" (changed)="setData($event)" placeholder></select-input>
                  <!-- <tag-input inputid="new-tags" [addOnTab]="false" (changed)="setTag($event)" [defaults]="tags" placeholder></tag-input> -->
                  <!-- <div class="feedback" *ngIf="form.controls['genres'].hasError('required') && formSubmited">{{
                    'feedback.required' | translate }}</div> -->
                </div>
              </div>
            </div>
            <!-- length -->
            <div class="col-lg-6">
              <div class="row form-group" [ngClass]="{'has-error':form.controls['length'].invalid && formSubmited}">
                <div class="col-lg-12">
                  <label class="form-label-inline" for="length">
                    {{ 'upload.create.length' | translate }} :
                  </label>
                </div>
                <div class="col-lg-12">
                  <input id="length" class="form-control" type="number" name="length" formControlName="length">
                  <div class="feedback" *ngIf="form.controls['length'].hasError('required') && formSubmited">{{'feedback.required' | translate }}</div>
                </div>
              </div>
            </div>
            <!-- imdb rating -->
            <div class="col-lg-6">
              <div class="row form-group" [ngClass]="{'has-error':form.controls['imdb_rating'].invalid && formSubmited}">
                <div class="col-lg-12">
                  <label class="form-label-inline" for="imdb_rating">
                    {{ 'upload.create.imdb_rating' | translate }} :
                  </label>
                </div>
                <div class="col-lg-12">
                  <input id="imdb_rating" class="form-control" type="number" name="imdb_rating" formControlName="imdb_rating">
                  <div class="feedback" *ngIf="form.controls['imdb_rating'].hasError('required') && formSubmited">{{'feedback.required' | translate }}</div>
                </div>
              </div>
            </div>
            <!-- type -->
            <div class="col-lg-6">
              <div class="row form-group">
                <div class="col-lg-12">
                  <label class="form-label-inline" for="size">
                    {{ 'upload.create.type' | translate }} :
                  </label>
                </div>
                <div class="col-lg-12">
                  <label class="radio-container">{{ 'upload.create.serial' | translate }}
                    <input type="radio" name="type" [value]="1" formControlName="type">
                    <span class="checkmark"></span>
                  </label>
                  <label class="radio-container">{{ 'upload.create.film' | translate }}
                    <input type="radio" name="type" [value]="2" formControlName="type">
                    <span class="checkmark"></span>
                  </label>
                </div>
              </div>
            </div>
            <!-- released date -->
            <div class="col-lg-6 mt-1">
              <div class="row form-group">
                <div class="col-lg-12">
                  <label for="release_date" class="form-label-inline">
                    {{ 'upload.create.released-date' | translate }}:
                  </label>
                </div>
                <div class="col-lg-12">
                  <input type="text" class="form-control" #datepickerInput [placeholder]="releaseDate" />
                  <ng-persian-datepicker [input]="datepickerInput" [dateInitValue]="config.date.dateInitValue" [(dateValue)]="config.date['value']" [dateOnSelect]="config.date.onSelect" [timeEnable]="false" [dateFormat]="'jYYYY-jMM-jDD'" [uiTheme]="'black'">
                  </ng-persian-datepicker>
                </div>
              </div>
            </div>
            <!-- description -->
            <div class="col-lg-6">
              <div class="row form-group"
                [ngClass]="{'has-error':form.controls['description'].invalid && formSubmited}">
                <div class="col-lg-12">
                  <label class="form-label-inline" for="description">
                    {{ 'upload.create.description' | translate }} :
                  </label>
                </div>
                <div class="col-lg-12">
                  <textarea id="description" class="form-control" rows="6" name="description" formControlName="description"></textarea>
                  <div class="feedback" *ngIf="form.controls['description'].hasError('required') && formSubmited">{{
                    'feedback.required' | translate }}</div>
                </div>
              </div>
            </div>
            <!-- related films -->
            <div class="col-lg-6">
              <div class="row form-group">
                <div class="col-lg-12">
                  <label class="form-label-inline">
                    {{ 'upload.create.related-film' | translate }} :
                  </label>
                </div>
                <div class="col-lg-12">
                  <select-input inputid="new-film" [list]="relatedFilms" itemkey="name" itemvalue="id"
                    [defaults]='relatedFilm' [multi]='true' (changed)="setRelatedFilm($event)" placeholder></select-input>
                </div>
              </div>
            </div>
            <!-- free -->
            <div class="col-lg-6">
              <div class="row form-group">
                <div class="form-check pt-4">
                  <label class="form-check-label">
                    <input class="form-check-input" id="free" type="checkbox" name="free" formControlName="free">
                    <span class="form-check-sign">
                      <span class="check"></span>
                    </span>
                    <label for="" class="text-white">{{ 'upload.create.free' | translate }}:</label>
                  </label>
                </div>
              </div>
            </div>
            <!-- published -->
            <div class="col-lg-6">
              <div class="row form-group">
                <div class="form-check pt-4">
                  <label class="form-check-label">
                    <input class="form-check-input" id="release" type="checkbox" name="release" formControlName="release">
                    <span class="form-check-sign">
                      <span class="check"></span>
                    </span>
                    <label for="" class="text-white">{{ 'upload.create.release' | translate }}:</label>
                  </label>
                </div>
              </div>
            </div>
            <!-- preview -->
            <div class="col-lg-6">
              <div class="row form-group"
                [ngClass]="{'has-error':form.controls['preview'].invalid && formSubmited}">
                <div class="col-lg-12">
                  <label class="form-label-inline" for="preview">
                    {{ 'video.preview' | translate }} :
                  </label>
                </div>
                <div class="col-lg-12">
                  <input id="preview" class="form-control" maxlength="255" type="text" name="preview" formControlName="preview">
                  <div class="feedback" *ngIf="form.controls['preview'].hasError('required') && formSubmited">{{ 'feedback.required' | translate }}</div>
                </div>
              </div>
            </div>
            <!-- screen shots -->
            <div class="col-lg-12">
              <div class="row">
                <label class="col-lg-12 form-label-inline" for="images">{{ 'upload.create.screen-shots' | translate }} :</label>
                <div class="col-xl-12 mt">
                  <dropzone-images [defaults]="defaultImages" [multi]="true" (changed)="setImages($event)">
                  </dropzone-images>
                </div>
              </div>
            </div>
            <!-- poster desktop -->
            <div class="col-lg-12">
              <div class="row">
                <label class="col-lg-12 form-label-inline" for="images">{{ 'upload.create.poster-desktop' | translate }} :</label>
                <div class="col-xl-12 mt">
                  <dropzone-images [defaults]="defaultDesktopImages" [multi]="true" (changed)="setDesktopImages($event)">
                  </dropzone-images>
                </div>
              </div>
            </div>
            <!-- poster mobile -->
            <div class="col-lg-12">
              <div class="row">
                <label class="col-lg-12 form-label-inline">{{ 'upload.create.poster-mobile' | translate }} :</label>
                <div class="col-xl-12 mt">
                  <dropzone-images [defaults]="defaultMobileImages" [multi]="true" (changed)="setMobileImages($event)">
                  </dropzone-images>
                </div>
              </div>
            </div>
          </div>
        </ng-container>
        <ng-container>
          <div class="row" [class.d-none] = "activeTab === 'video'">
            <!-- google_title -->
            <div class="col-lg-6">
              <div class="row form-group">
                <div class="col-lg-12">
                  <label class="form-label-inline" for="google_title">
                    {{ 'upload.create.google_title' | translate }} :
                  </label>
                </div>
                <div class="col-lg-12">
                  <input id="google_title" class="form-control" maxlength="255" type="text" name="google_title" formControlName="google_title">
                </div>
              </div>
            </div>
            <!-- google_tags -->
            <div class="col-lg-6">
              <div class="row form-group">
                <div class="col-lg-12">
                  <label class="form-label-inline" for="google_tags">
                    {{ 'upload.create.google_tags' | translate }} :
                  </label>
                </div>
                <div class="col-lg-12">
                  <tag-input inputid="new-gtag" [addOnTab]="false" (changed)="setGoogleTag($event)" [defaults]="gtags" placeholder></tag-input>
                </div>
              </div>
            </div>
            <!-- google_description -->
            <div class="col-lg-6">
              <div class="row form-group">
                <div class="col-lg-12">
                  <label class="form-label-inline" for="google_description">
                    {{ 'upload.create.google_description' | translate }} :
                  </label>
                </div>
                <div class="col-lg-12">
                  <textarea id="google_description" class="form-control" rows="6" name="google_description" formControlName="google_description"></textarea>
                </div>
              </div>
            </div>
            <!-- tump_icon -->
            <div class="col-lg-12">
              <div class="row">
                <label class="col-lg-12 form-label-inline">{{ 'upload.create.tump_icon' | translate }} :<span dir="ltr">(200*200)</span></label>
                <div class="col-xl-12 mt">
                  <dropzone-images [defaults]="defaultTumpImage" [multi]="false" (changed)="setTumpImages($event)">
                  </dropzone-images>
                </div>
              </div>
            </div>
          </div>
        </ng-container>
        <div class="row">
          <div class="col-12">
            <span class="text-danger">{{error}}</span>
          </div>
          <!-- buttons -->
          <div class="col-md-10 mt-2">
            <div class="row">
              <div class="col-md-2">
                <button class="btn-primary" type="submit" [disabled]="form.invalid && formSubmited">{{ "upload.create.publish" |translate}}</button>
              </div>
            </div>
          </div>
        </div>
      </form>
    </div>
  </div>
</section>